<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="container-fluid align-items-stretch gap-3 col-lg-8">
  <h1 class="display-4 fw-bold pt-4 pb-4">Direct Trust Tool</h1>
  <div class="container-fluid ">
    <div class="row gx-5">
      <div class="col-md-auto">
        <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
          <a class="nav-link {{keystoreGenerationState}}" id="keystore-generation" role="tab">1. Keystore generation</a>
          <a class="nav-link {{publicKeySharingState}}" id="public-type-sharing" role="tab">2. Public keys sharing</a>
          <a class="nav-link {{keystoreDownloadState}}" id="keystore-download" role="tab">3. Keystore download</a>
          <button class="btn btn-outline-dark  mt-2" (click)="resetData()">Reset data</button>
        </div>
      </div>

      <div class="col">
        <div *ngIf="session.currentPhase === null" class="pt-4">
          <p>Backend is starting, please wait...</p>
          <div class="spinner-border" role="status"></div>
        </div>
        <app-keystores-generation *ngIf="session.currentPhase === Phase.KEYSTORES_GENERATION"></app-keystores-generation>
        <app-public-key-sharing *ngIf="session.currentPhase === Phase.PUBLIC_KEYS_SHARING"></app-public-key-sharing>
        <app-keystores-download *ngIf="session.currentPhase === Phase.KEYSTORES_DOWNLOAD"></app-keystores-download>
      </div>
    </div>
  </div>
</div>
